## oem-ethernet-r8169-aspm-support-bionic-dkms 4

=== oem-ethernet-r8169-aspm-support-bionic/Makefile ===
KVER?= $(shell uname -r)
ifneq ($(KERNELRELEASE),)
	obj-m	 := r8169.o
else
	KERNELDIR ?= /lib/modules/$(KVER)/build
	PWD :=$(shell pwd)
.PHONY:modules
modules:
	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(PWD) modules

.PHONY:clean
clean:
	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(PWD) clean
	@rm r8169.o.ur-safe

endif

=== debian/changelog ===
oem-ethernet-r8169-aspm-support-bionic-dkms (4) bionic; urgency=medium

  * Obsolete by 4.15.0-1069.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Wed, 19 Feb 2020 09:59:07 +0000

oem-ethernet-r8169-aspm-support-bionic-dkms (3) bionic; urgency=medium

  * Fix issue that system is stuck on C3 when Ethernet is connected (LP: #1789156)
  * r8169: enable ASPM on RTL8106E
  * r8169: Align ASPM/CLKREQ setting function with vendor driver
  * r8169: Clear RTL_FLAG_TASK_*_PENDING when clearing RTL_FLAG_TASK_ENABLED
  * r8169: set TxConfig register after TX / RX is enabled, just like RxConfig
  * r8169: add support for NCube 8168 network card
  * r8169: set RxConfig after tx/rx is enabled for RTL8169sb/8110sb devices
  * Source: https://git.launchpad.net/~kaihengfeng/+git/linux/log/?h=r8169-backport
    commit 6ee5ac74858a9a015dfe362c33c9debe3dfecba9

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 14 Sep 2018 15:06:37 +0800

oem-ethernet-r8169-aspm-support-bionic-dkms (2.1) bionic; urgency=medium

  * r8169.c: Fix build fail issue.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Mon, 16 Jul 2018 15:25:13 +0800

oem-ethernet-r8169-aspm-support-bionic-dkms (2) bionic; urgency=medium

  * r8169.c: Fix issue that can not get connection after device enter
    D3.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Mon, 16 Jul 2018 12:28:31 +0800

oem-ethernet-r8169-aspm-support-bionic-dkms (1) bionic; urgency=low

  * Automatically packaged by DKMS helper.

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Thu, 28 Jun 2018 17:01:42 +0800

=== debian/control ===
Source: oem-ethernet-r8169-aspm-support-bionic-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 4.1.4

Package: oem-ethernet-r8169-aspm-support-bionic-dkms
Architecture: amd64
Depends: dkms (>= 2.3-3ubuntu9.7), ${misc:Depends}
Description: oem-ethernet-r8169-aspm-support-bionic driver in DKMS format wrapped by dkms-helper.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-ethernet-r8169-aspm-support-bionic
NAME=oem-ethernet-r8169-aspm-support-bionic
VERSION=4

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
